%define	name	xcoral
%define	version	3.42b
%define	release	3mdk

Name:		%name
Version:	%version
Release:	%release
Summary:	Programmable text editor for Unix users.
License:	GPL
Group:		Editors
Source:		%name-%version.tar.bz2
Url:		http://xcoral.free.fr
Buildroot:	%_tmppath/%name-buildroot
BuildRequires:	XFree86-devel

%description
Xcoral is a multiwindow mouse-based text editor for the X Window System.
Syntax highlighting (C, C++, Java, LaTeX) and auto-indentation are available.
A built-in browser enables you to navigate through C functions, C++ and Java 
classes, methods and files. A SMall Ansi C Interpreter (Smac) is also built-in 
to dynamically extend the editor's possibilities (user functions, key bindings,
modes etc).

%prep
%setup -q

%build
%make CC="%{__cc} $RPM_OPT_FLAGS" XC_LIBDIR=%{_datadir}/%{name}
%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
for i in `find SmacLib/*`
	do %{__install} -m644 $i -D $RPM_BUILD_ROOT%{_datadir}/%{name}/$i
done

#icon
%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{name}"\
title="Xcoral"\
longtitle="Xcoral text editor"\
needs="x11"\
icon="editors_section.png"\
section="Applications/Editors"
EOF

%post
%update_menus

%postun
%update_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FIXES INSTALL README Changes
%{_datadir}/%{name}
%{_menudir}/%{name}
%defattr(755,root,root,755)
%{_bindir}/%{name}

%changelog
* Tue Nov 25 2003 Marcel Pol <mpol@mandrake.org> 3.42b-3mdk
- buildrequires

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.42b-2mdk
- rebuild

* Mon Jun 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.42b-1mdk
- 3.42b
- cleanups
- do rm -rf buildroot in correct stage
- macroize
- compile with $RPM_OPT_FLAGS
- move stuff from %%{_libdir}/%%{name} to %%{_datadir}/%%{name} as there
  are only non-binaries

* Sun May 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.42-1mdk
- 3.42
- install manually

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.40-2mdk
- rebuild

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.40-1mdk
- 3.40
